---
# yaml-language-server: $schema=https://schema.blue-build.org/module-list-v1.json
modules:
  - type: rpm-ostree
    keys:
      - https://brave-browser-rpm-release.s3.brave.com/brave-core.asc
    optfix:
      - brave.com
    repos:
      - https://pkgs.tailscale.com/stable/fedora/tailscale.repo
      - https://brave-browser-rpm-release.s3.brave.com/brave-browser.repo
      - fury.repo
    install:
      - libadwaita
      - cronie
      - plasma-browser-integration
      - id3v2
      - xinput
      - ripgrep
      - tailscale
      - strawberry
      - xclip
      - bat
      - brave-browser
      - syncthing
      - fish
      - nu
      - util-linux
      - carapace-bin
  - type: script
    scripts:
      - install-bitwarden.nu
  - type: systemd
    user:
      enabled:
        - syncthing
  - from-file: common/ms-fonts.yml
